var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import React from 'react';
import { Icon } from 'semantic-ui-react';
import { get, toLower } from 'lodash';

export var BooleanCell = function BooleanCell(_ref) {
  var cellData = _ref.cellData,
      column = _ref.column;

  var value = toLower(cellData);
  var iconProps = get(column, 'props', {});

  var props = {};
  if (['yes', 'y', 'true', 't', '1'].includes(value)) props = { color: 'green', name: 'checkmark' };else if (['no', 'n', 'false', 'f', '0'].includes(value)) props = { color: 'red', name: 'x' };else props = { color: 'black', name: 'question circle outline' };

  return React.createElement(Icon, _extends({}, props, iconProps));
};

export default BooleanCell;