import React from 'react';

import { ExternalLink } from '../links/external-link';

export var LinkCell = function LinkCell(_ref) {
  var cellData = _ref.cellData,
      rowData = _ref.rowData,
      column = _ref.column;
  var urlBuilder = column.urlBuilder;

  return React.createElement(
    ExternalLink,
    { href: urlBuilder(rowData) },
    cellData
  );
};

export default LinkCell;