var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import React from 'react';
import { Icon } from 'semantic-ui-react';
import { get, toLower } from 'lodash';

export var SexCell = function SexCell(_ref) {
  var cellData = _ref.cellData,
      column = _ref.column;

  var value = toLower(cellData);
  var iconProps = get(column, 'props', {});

  var props = {};
  if (['male', 'm'].includes(value)) props = { color: 'blue', name: 'male' };else if (['female', 'f'].includes(value)) props = { color: 'pink', name: 'female' };else props = { color: 'black', name: 'question circle outline' };
  return React.createElement(Icon, _extends({}, props, iconProps));
};

export default SexCell;