var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

import React from 'react';
import { get } from 'lodash';

import { TurnAroundTimeProgress } from '../progress-bars/turn-around-time-progress';

export var TurnAroundTimeCell = function TurnAroundTimeCell(_ref) {
  var cellData = _ref.cellData,
      column = _ref.column;

  var props = get(column, 'props', {});
  if ((typeof cellData === 'undefined' ? 'undefined' : _typeof(cellData)) !== 'object') cellData = {};

  return React.createElement(TurnAroundTimeProgress, _extends({}, props, cellData));
};

export default TurnAroundTimeCell;