import { map } from 'lodash';
import { parse } from 'query-string';

export var parseUrlQueryParams = function parseUrlQueryParams(searchUrl) {
  var array_keys = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];

  var params = parse(searchUrl);
  var defaults = {};
  map(params, function (value, key) {
    if (array_keys.includes(key)) {
      if (Array.isArray(value)) defaults[key] = value;else defaults[key] = [value];
    } else {
      defaults[key] = value;
    }
  });
  return defaults;
};

export default parseUrlQueryParams;