'use strict';

exports.__esModule = true;
exports.SearchButton = exports.SaveButton = exports.DownloadButton = exports.CancelButton = exports.AddButton = exports.AcceptButton = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _lodash = require('lodash');

var _index = require('../index');

var _icons = require('../constants/icons');

var constants = _interopRequireWildcard(_icons);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var AcceptButton = function AcceptButton(_ref) {
  var props = _objectWithoutProperties(_ref, []);

  return _react2.default.createElement(_index.Button, _extends({}, props, { content: (0, _lodash.get)(props, 'content', 'Accept') }, constants.Accept));
};

exports.AcceptButton = AcceptButton;
var AddButton = function AddButton(_ref2) {
  var props = _objectWithoutProperties(_ref2, []);

  return _react2.default.createElement(_index.Button, _extends({}, props, { content: (0, _lodash.get)(props, 'content', 'Add') }, constants.Add));
};

exports.AddButton = AddButton;
var CancelButton = function CancelButton(_ref3) {
  var props = _objectWithoutProperties(_ref3, []);

  return _react2.default.createElement(_index.Button, _extends({}, props, { content: (0, _lodash.get)(props, 'content', 'Cancel') }, constants.Cancel));
};

exports.CancelButton = CancelButton;
var DownloadButton = function DownloadButton(_ref4) {
  var props = _objectWithoutProperties(_ref4, []);

  return _react2.default.createElement(_index.Button, _extends({}, props, { content: (0, _lodash.get)(props, 'content', 'Download') }, constants.Download));
};

exports.DownloadButton = DownloadButton;
var SaveButton = function SaveButton(_ref5) {
  var props = _objectWithoutProperties(_ref5, []);

  return _react2.default.createElement(_index.Button, _extends({}, props, { content: (0, _lodash.get)(props, 'content', 'Save') }, constants.Save));
};

exports.SaveButton = SaveButton;
var SearchButton = function SearchButton(_ref6) {
  var props = _objectWithoutProperties(_ref6, []);

  return _react2.default.createElement(_index.Button, _extends({}, props, { content: (0, _lodash.get)(props, 'content', 'Search') }, constants.Search));
};
exports.SearchButton = SearchButton;