'use strict';

exports.__esModule = true;
exports.useURLQueryParams = undefined;

var _react = require('react');

var _reactRouterDom = require('react-router-dom');

var _parseURLQueryParams = require('../utils/parseURLQueryParams');

var useURLQueryParams = exports.useURLQueryParams = function useURLQueryParams() {
  var array_keys = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];

  var _useLocation = (0, _reactRouterDom.useLocation)(),
      search = _useLocation.search;

  var parameters = (0, _reactRouterDom.useParams)();
  return {
    queryParameters: (0, _react.useMemo)(function () {
      return search ? (0, _parseURLQueryParams.parseUrlQueryParams)(search, array_keys) : {};
    }, [search, array_keys]),
    parameters: parameters
  };
};

exports.default = useURLQueryParams;