'use strict';

exports.__esModule = true;
exports.BooleanCell = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _semanticUiReact = require('semantic-ui-react');

var _lodash = require('lodash');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var BooleanCell = exports.BooleanCell = function BooleanCell(_ref) {
  var cellData = _ref.cellData,
      column = _ref.column;

  var value = (0, _lodash.toLower)(cellData);
  var iconProps = (0, _lodash.get)(column, 'props', {});

  var props = {};
  if (['yes', 'y', 'true', 't', '1'].includes(value)) props = { color: 'green', name: 'checkmark' };else if (['no', 'n', 'false', 'f', '0'].includes(value)) props = { color: 'red', name: 'x' };else props = { color: 'black', name: 'question circle outline' };

  return _react2.default.createElement(_semanticUiReact.Icon, _extends({}, props, iconProps));
};

exports.default = BooleanCell;