'use strict';

exports.__esModule = true;
exports.HGVScDNACell = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _externalLink = require('../links/external-link');

var _urlBuilders = require('../utils/urlBuilders');

var urlBuilders = _interopRequireWildcard(_urlBuilders);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var HGVScDNACell = exports.HGVScDNACell = function HGVScDNACell(_ref) {
  var cellData = _ref.cellData;

  return _react2.default.createElement(
    _externalLink.ExternalLink,
    { href: urlBuilders.alamutEntry(cellData) },
    cellData
  );
};

exports.default = HGVScDNACell;