'use strict';

exports.__esModule = true;

var _lodash = require('lodash');

var getInterpretationColor = function getInterpretationColor(value) {
  var interpretation = (0, _lodash.toLower)(value);

  switch (true) {
    case interpretation.includes('diagnostic'):
      return 'red';
    case interpretation.includes('incidental'):
      return 'blue';
    case interpretation.includes('negative'):
      return 'green';
    default:
      return 'black';
  }
};

exports.default = getInterpretationColor;
module.exports = exports['default'];