'use strict';

exports.__esModule = true;
exports.parseUrlQueryParams = undefined;

var _lodash = require('lodash');

var _queryString = require('query-string');

var parseUrlQueryParams = exports.parseUrlQueryParams = function parseUrlQueryParams(searchUrl) {
  var array_keys = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];

  var params = (0, _queryString.parse)(searchUrl);
  var defaults = {};
  (0, _lodash.map)(params, function (value, key) {
    if (array_keys.includes(key)) {
      if (Array.isArray(value)) defaults[key] = value;else defaults[key] = [value];
    } else {
      defaults[key] = value;
    }
  });
  return defaults;
};

exports.default = parseUrlQueryParams;