var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import React from 'react';
import { get } from 'lodash';

import { Button } from '../index';
import * as constants from '../constants/icons';

var AcceptButton = function AcceptButton(_ref) {
  var props = _objectWithoutProperties(_ref, []);

  return React.createElement(Button, _extends({}, props, { content: get(props, 'content', 'Accept') }, constants.Accept));
};

export { AcceptButton };
var AddButton = function AddButton(_ref2) {
  var props = _objectWithoutProperties(_ref2, []);

  return React.createElement(Button, _extends({}, props, { content: get(props, 'content', 'Add') }, constants.Add));
};

export { AddButton };
var CancelButton = function CancelButton(_ref3) {
  var props = _objectWithoutProperties(_ref3, []);

  return React.createElement(Button, _extends({}, props, { content: get(props, 'content', 'Cancel') }, constants.Cancel));
};

export { CancelButton };
var DownloadButton = function DownloadButton(_ref4) {
  var props = _objectWithoutProperties(_ref4, []);

  return React.createElement(Button, _extends({}, props, { content: get(props, 'content', 'Download') }, constants.Download));
};

export { DownloadButton };
var SaveButton = function SaveButton(_ref5) {
  var props = _objectWithoutProperties(_ref5, []);

  return React.createElement(Button, _extends({}, props, { content: get(props, 'content', 'Save') }, constants.Save));
};

export { SaveButton };
var SearchButton = function SearchButton(_ref6) {
  var props = _objectWithoutProperties(_ref6, []);

  return React.createElement(Button, _extends({}, props, { content: get(props, 'content', 'Search') }, constants.Search));
};
export { SearchButton };