var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

import React from 'react';
import { Label } from 'semantic-ui-react';
import { get } from 'lodash';

import { getInterpretationColor } from '../utils';

export var InterpretationCell = function InterpretationCell(_ref) {
  var cellData = _ref.cellData,
      column = _ref.column;

  var labelProps = get(column, 'props');
  var color = getInterpretationColor(cellData);
  return React.createElement(Label, _extends({ color: color, content: cellData }, labelProps));
};

export default InterpretationCell;