'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _semanticUiReact = require('semantic-ui-react');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _getUnhandledProps = require('../helpers/getUnhandledProps');

var _getUnhandledProps2 = _interopRequireDefault(_getUnhandledProps);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Button = function Button(props) {
  var buttonProps = (0, _getUnhandledProps2.default)(Button, props);
  var className = props.className,
      color = props.color,
      icon = props.icon;


  return _react2.default.createElement(_semanticUiReact.Button, _extends({}, buttonProps, { className: (0, _classnames2.default)(className, 'genomix', color), icon: icon }));
};

Button.propTypes = process.env.NODE_ENV !== "production" ? {
  icon: _propTypes2.default.string,
  color: _propTypes2.default.string,
  className: _propTypes2.default.string
} : {};

Button.defaultProps = {};

Button.handledProps = ['className', 'icon', 'color'];

exports.default = Button;
module.exports = exports['default'];