'use strict';

exports.__esModule = true;
exports.WarningIcon = exports.UploadIcon = exports.SearchIcon = exports.SaveIcon = exports.QuestionIcon = exports.ManualIcon = exports.MaleIcon = exports.InfoIcon = exports.FemaleIcon = exports.ExternalIcon = exports.DownloadIcon = exports.CancelIcon = exports.AddIcon = exports.AcceptIcon = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _index = require('../index');

var _icons = require('../constants/icons');

var constants = _interopRequireWildcard(_icons);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var AcceptIcon = function AcceptIcon(_ref) {
  var props = _objectWithoutProperties(_ref, []);

  return _react2.default.createElement(_index.Icon, _extends({}, props, constants.Accept));
};

exports.AcceptIcon = AcceptIcon;
var AddIcon = function AddIcon(_ref2) {
  var props = _objectWithoutProperties(_ref2, []);

  return _react2.default.createElement(_index.Icon, _extends({}, props, constants.Add));
};

exports.AddIcon = AddIcon;
var CancelIcon = function CancelIcon(_ref3) {
  var props = _objectWithoutProperties(_ref3, []);

  return _react2.default.createElement(_index.Icon, _extends({}, props, constants.Cancel));
};

exports.CancelIcon = CancelIcon;
var DownloadIcon = function DownloadIcon(_ref4) {
  var props = _objectWithoutProperties(_ref4, []);

  return _react2.default.createElement(_index.Icon, _extends({}, props, constants.Download));
};

exports.DownloadIcon = DownloadIcon;
var ExternalIcon = function ExternalIcon(_ref5) {
  var props = _objectWithoutProperties(_ref5, []);

  return _react2.default.createElement(_index.Icon, _extends({}, props, constants.External));
};

exports.ExternalIcon = ExternalIcon;
var FemaleIcon = function FemaleIcon(_ref6) {
  var props = _objectWithoutProperties(_ref6, []);

  return _react2.default.createElement(_index.Icon, _extends({}, props, constants.Female));
};

exports.FemaleIcon = FemaleIcon;
var InfoIcon = function InfoIcon(_ref7) {
  var props = _objectWithoutProperties(_ref7, []);

  return _react2.default.createElement(_index.Icon, _extends({}, props, constants.Info));
};

exports.InfoIcon = InfoIcon;
var MaleIcon = function MaleIcon(_ref8) {
  var props = _objectWithoutProperties(_ref8, []);

  return _react2.default.createElement(_index.Icon, _extends({}, props, constants.Male));
};

exports.MaleIcon = MaleIcon;
var ManualIcon = function ManualIcon(_ref9) {
  var props = _objectWithoutProperties(_ref9, []);

  return _react2.default.createElement(_index.Icon, _extends({}, props, constants.Manual));
};

exports.ManualIcon = ManualIcon;
var QuestionIcon = function QuestionIcon(_ref10) {
  var props = _objectWithoutProperties(_ref10, []);

  return _react2.default.createElement(_index.Icon, _extends({}, props, constants.Question));
};

exports.QuestionIcon = QuestionIcon;
var SaveIcon = function SaveIcon(_ref11) {
  var props = _objectWithoutProperties(_ref11, []);

  return _react2.default.createElement(_index.Icon, _extends({}, props, constants.Save));
};

exports.SaveIcon = SaveIcon;
var SearchIcon = function SearchIcon(_ref12) {
  var props = _objectWithoutProperties(_ref12, []);

  return _react2.default.createElement(_index.Icon, _extends({}, props, constants.Search));
};

exports.SearchIcon = SearchIcon;
var UploadIcon = function UploadIcon(_ref13) {
  var props = _objectWithoutProperties(_ref13, []);

  return _react2.default.createElement(_index.Icon, _extends({}, props, constants.Upload));
};

exports.UploadIcon = UploadIcon;
var WarningIcon = function WarningIcon(_ref14) {
  var props = _objectWithoutProperties(_ref14, []);

  return _react2.default.createElement(_index.Icon, _extends({}, props, constants.Warning));
};
exports.WarningIcon = WarningIcon;