'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _semanticUiReact = require('semantic-ui-react');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var DropdownMenu = function DropdownMenu(props) {
  var children = props.children;


  return _react2.default.createElement(
    _semanticUiReact.Dropdown,
    { trigger: _react2.default.createElement(_semanticUiReact.Icon, { name: 'sidebar', size: 'large' }), icon: null },
    _react2.default.createElement(
      _semanticUiReact.Dropdown.Menu,
      { className: 'NavbarDropdownMenu' },
      children
    )
  );
};

DropdownMenu.propTypes = process.env.NODE_ENV !== "production" ? {
  children: _propTypes2.default.oneOfType([_propTypes2.default.node, _propTypes2.default.arrayOf(_propTypes2.default.node)])
} : {};

DropdownMenu.defaultProps = {};

exports.default = DropdownMenu;
module.exports = exports['default'];