'use strict';

exports.__esModule = true;
exports.ClassificationCell = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _semanticUiReact = require('semantic-ui-react');

var _lodash = require('lodash');

var _utils = require('../utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ClassificationCell = exports.ClassificationCell = function ClassificationCell(_ref) {
  var cellData = _ref.cellData,
      column = _ref.column;

  var labelProps = (0, _lodash.get)(column, 'props');
  var color = (0, _utils.getClassificationColor)(cellData);
  return _react2.default.createElement(_semanticUiReact.Label, _extends({ color: color, content: cellData }, labelProps));
};

exports.default = ClassificationCell;