'use strict';

exports.__esModule = true;
exports.FloatCell = undefined;

var _lodash = require('lodash');

var FloatCell = exports.FloatCell = function FloatCell(_ref) {
  var cellData = _ref.cellData,
      column = _ref.column;

  var value = parseFloat(cellData);
  var length = (0, _lodash.get)(column, 'length', 8);
  return value.toFixed(length);
};

exports.default = FloatCell;