'use strict';

exports.__esModule = true;
exports.LinkCell = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _externalLink = require('../links/external-link');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var LinkCell = exports.LinkCell = function LinkCell(_ref) {
  var cellData = _ref.cellData,
      rowData = _ref.rowData,
      column = _ref.column;
  var urlBuilder = column.urlBuilder;

  return _react2.default.createElement(
    _externalLink.ExternalLink,
    { href: urlBuilder(rowData) },
    cellData
  );
};

exports.default = LinkCell;