'use strict';

exports.__esModule = true;
exports.TurnAroundTimeCell = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _lodash = require('lodash');

var _turnAroundTimeProgress = require('../progress-bars/turn-around-time-progress');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var TurnAroundTimeCell = exports.TurnAroundTimeCell = function TurnAroundTimeCell(_ref) {
  var cellData = _ref.cellData,
      column = _ref.column;

  var props = (0, _lodash.get)(column, 'props', {});
  if ((typeof cellData === 'undefined' ? 'undefined' : _typeof(cellData)) !== 'object') cellData = {};

  return _react2.default.createElement(_turnAroundTimeProgress.TurnAroundTimeProgress, _extends({}, props, cellData));
};

exports.default = TurnAroundTimeCell;